# Created by pyp2rpm-3.3.7
%global pypi_name termgraph
%global pypi_version 0.5.3

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        A command-line tool that draws basic graphs in the terminal

License:        MIT
URL:            https://github.com/mkaz/termgraph
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
 TermgraphA command-line tool that draws basic graphs in the terminal, written
in Python.Graph types supported:- Bar Graphs - Color charts - Multi-variable -
Stacked charts - Histograms - Horizontal or Vertical Examples termgraph
data/ex1.dat Reading data from data/ex1.dat2007: ▇▇▇▇▇▇▇▇▇▇▇▇▇▇▇▇▇ 183.32 2008:
▇▇▇▇▇▇▇▇▇▇▇▇▇▇▇▇▇▇▇▇▇▇ 231.23 2009: ▇ 16.43 2010: ▇▇▇▇ 50.21 2011:...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(colorama)
Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
 TermgraphA command-line tool that draws basic graphs in the terminal, written
in Python.Graph types supported:- Bar Graphs - Color charts - Multi-variable -
Stacked charts - Histograms - Horizontal or Vertical Examples termgraph
data/ex1.dat Reading data from data/ex1.dat2007: ▇▇▇▇▇▇▇▇▇▇▇▇▇▇▇▇▇ 183.32 2008:
▇▇▇▇▇▇▇▇▇▇▇▇▇▇▇▇▇▇▇▇▇▇ 231.23 2009: ▇ 16.43 2010: ▇▇▇▇ 50.21 2011:...


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.md
%{_bindir}/termgraph
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Wed Dec 15 2021 mockbuilder - 0.5.3-1
- Initial package.